Subject: bug#53005: [PATCH 1/1] gnu: glibc: Preserve "__pthread_key_create" symbol.

From: Tom Fitzhenry <[email-masked]>
Date: Sun, 1 May 2022 19:49:34 +1000

On 13/1/22 08:22, Simon South wrote:
> No, this would've been a volume I created myself; I expect only users
> who are partitioning their drives manually or replacing an existing
> system would encounter this.

+1. I encountered this while installing Guix on my pre-existing LUKS 
volume that I share with another distro.

As a workaround to the immediate issue, I replaced my LUKS volume's 
argon2 key with a pbkdf2 key, via `cryptsetup luksAddKey --pbkdf pbkdf2 
$DEV` and `cryptsetup luksRemoveKey $DEV`. Changing cryptographic 
algorithms introduces risk, which might not be right for everyone, however.